org.eclipse.ease.debugging.model

## Class EaseDebugVariable

- java.lang.Object
- - org.eclipse.ease.debugging.model.EaseDebugVariable

All Implemented Interfaces:
  java.lang.Comparable<EaseDebugVariable>, IAdaptable, IDebugElement, IValueModification, IVariable

Direct Known Subclasses:
  EaseDebugLastExecutionResult, EaseJavaArrayElementVariable, EaseJavaFieldVariable

    public class EaseDebugVariable
    extends java.lang.Object
    implements IVariable, java.lang.Comparable<EaseDebugVariable>

### Nested Class Summary

Nested Classes
`static class` `EaseDebugVariable.Type`

### Constructor Summary

Constructors
Constructor and Description
`EaseDebugVariable(java.lang.String name, java.lang.Object value, IDebugElement parent, java.lang.String referenceTypeName)`
`EaseDebugVariable(java.lang.String name, java.lang.Object value, java.lang.String referenceTypeName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(EaseDebugVariable o)`
`<T> T` `getAdapter(java.lang.Class<T> adapter)`
`EaseDebugTarget` `getDebugTarget()`
`ILaunch` `getLaunch()`
`java.lang.String` `getModelIdentifier()`
`java.lang.String` `getName()`
`java.lang.String` `getReferenceTypeName()`
`EaseDebugVariable.Type` `getType()`
`EaseDebugValue` `getValue()`
`boolean` `hasValueChanged()`
`void` `setParent(IDebugElement parent)`
`void` `setType(EaseDebugVariable.Type type)`
`void` `setValue(IValue value)`
`void` `setValue(java.lang.String expression)`
`boolean` `supportsValueModification()`
`java.lang.String` `toString()`
`void` `update(EaseDebugValue value)`
`boolean` `verifyValue(IValue value)`
`boolean` `verifyValue(java.lang.String expression)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EaseDebugVariable

    public EaseDebugVariable(java.lang.String name,
                             java.lang.Object value,
                             IDebugElement parent,
                             java.lang.String referenceTypeName)

#### EaseDebugVariable

    public EaseDebugVariable(java.lang.String name,
                             java.lang.Object value,
                             java.lang.String referenceTypeName)

### Method Detail

#### setParent

    public void setParent(IDebugElement parent)

#### getValue

    public EaseDebugValue getValue()

Specified by:
  `getValue` in interface `IVariable`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `IVariable`

#### getReferenceTypeName

    public java.lang.String getReferenceTypeName()

Specified by:
  `getReferenceTypeName` in interface `IVariable`

#### hasValueChanged

    public boolean hasValueChanged()

Specified by:
  `hasValueChanged` in interface `IVariable`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getModelIdentifier

    public java.lang.String getModelIdentifier()

Specified by:
  `getModelIdentifier` in interface `IDebugElement`

#### getDebugTarget

    public EaseDebugTarget getDebugTarget()

Specified by:
  `getDebugTarget` in interface `IDebugElement`

#### getLaunch

    public ILaunch getLaunch()

Specified by:
  `getLaunch` in interface `IDebugElement`

#### getAdapter

    public <T> T getAdapter(java.lang.Class<T> adapter)

Specified by:
  `getAdapter` in interface `IAdaptable`

#### supportsValueModification

    public boolean supportsValueModification()

Specified by:
  `supportsValueModification` in interface `IValueModification`

#### verifyValue

    public boolean verifyValue(java.lang.String expression)

Specified by:
  `verifyValue` in interface `IValueModification`

#### setValue

    public void setValue(java.lang.String expression)
                  throws DebugException

Specified by:
  `setValue` in interface `IValueModification`
Throws:
  `DebugException`

#### setValue

    public void setValue(IValue value)
                  throws DebugException

Specified by:
  `setValue` in interface `IValueModification`
Throws:
  `DebugException`

#### verifyValue

    public boolean verifyValue(IValue value)

Specified by:
  `verifyValue` in interface `IValueModification`

#### update

    public void update(EaseDebugValue value)

#### compareTo

    public int compareTo(EaseDebugVariable o)

Specified by:
  `compareTo` in interface `java.lang.Comparable<EaseDebugVariable>`

#### getType

    public EaseDebugVariable.Type getType()

#### setType

    public void setType(EaseDebugVariable.Type type)